%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}

%global nativename proj

Name:      mingw32-%{nativename}
Version:   4.6.1
Release:   5%{?dist}
Summary:   Cartographic projection software (PROJ.4)

Group:     Applications/Engineering
License:   MIT
URL:       http://proj.osgeo.org
Source0:   http://download.osgeo.org/proj/proj-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires: libtool
BuildRequires:  mingw32-filesystem >= 35
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils

Patch:    proj-noundefined.patch

%description
Proj and invproj perform respective forward and inverse transformation of
cartographic data to or from cartesian data with a wide range of selectable
projection functions. Proj docs: http://www.remotesensing.org/dl/new_docs/

%prep
%setup -q -n %{nativename}-%{version}

%patch -p 1

%build
%{_mingw32_configure} --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Remove libtool archives
rm $RPM_BUILD_ROOT%{_mingw32_libdir}/libproj.la

# Remove inverse program symbolic links
rm $RPM_BUILD_ROOT%{_mingw32_bindir}/inv*.exe

# Remove unneeded files
rm -R $RPM_BUILD_ROOT%{_mingw32_datadir}/*

%check

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc NEWS AUTHORS COPYING README ChangeLog
%{_mingw32_bindir}/libproj-0.dll
%{_mingw32_bindir}/*.exe
%{_mingw32_libdir}/libproj.dll.a 
%{_mingw32_includedir}/*.h

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 15 2009 David Ludlow <dave@adsllc.com> - 4.6.1-4
- Don't remove build executables

* Thu Oct 15 2009 David Ludlow <dave@adsllc.com> - 4.6.1-3
- Updates for Fedora packaging

* Wed Sep 9 2009 David Ludlow <dave@adsllc.com> - 4.6.1-2
- Initial creation of mingw32 package
